Package com.sun.jna.platform.win32.COM

# Class TypeLibUtil.TypeLibDoc

java.lang.Object
com.sun.jna.platform.win32.COM.TypeLibUtil.TypeLibDoc

Enclosing class:
  TypeLibUtil

public static class TypeLibUtil.TypeLibDoc extends Object
The Class TypeLibDoc.

Author:
  wolf.tobias@gmx.net The Class TypeLibDoc.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeLibDoc(String name, String docString, int helpContext, String helpFile)`
  Instantiates a new type lib doc.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDocString()`
  Gets the doc string.
  `int`
  `getHelpContext()`
  Gets the help context.
  `String`
  `getHelpFile()`
  Gets the help file.
  `String`
  `getName()`
  Gets the name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TypeLibDoc

    public TypeLibDoc(String name, String docString, int helpContext, String helpFile)
    Instantiates a new type lib doc.
    Parameters:
      `name` - the name
      `docString` - the doc string
      `helpContext` - the help context
      `helpFile` - the help file

- ## Method Details

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### getDocString

    public String getDocString()
    Gets the doc string.
    Returns:
      the doc string

  - ### getHelpContext

    public int getHelpContext()
    Gets the help context.
    Returns:
      the help context

  - ### getHelpFile

    public String getHelpFile()
    Gets the help file.
    Returns:
      the help file